# Generated by Django 5.0.2 on 2024-03-06 13:35

import django.core.validators
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('address', '0001_initial'),
        ('developer', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Amenities',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('description', models.TextField(blank=True)),
            ],
        ),
        migrations.CreateModel(
            name='PropertyComplex',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='created at')),
                ('deleted_at', models.DateTimeField(blank=True, editable=False, null=True, verbose_name='deleted at')),
                ('name', models.CharField(max_length=64)),
                ('description', models.TextField()),
                ('distance_to_sea', models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(2000)])),
                ('complex_type', models.CharField(choices=[('residential_complex', 'Residential Complex'), ('villa_complex', 'Villa Complex'), ('business_complex', 'Business Complex'), ('hotel', 'Hotel')], default='residential_complex', max_length=64)),
                ('land_area', models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(32000)])),
                ('updated_at', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('address', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='property_complex', to='address.address')),
                ('amenities', models.ManyToManyField(related_name='property_complex', to='property_complex.amenities')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='property_complex', to=settings.AUTH_USER_MODEL)),
                ('developer', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='property_complex', to='developer.developer')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PermitLink',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('permits_link', models.URLField()),
                ('property_complex', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='permit_links', to='property_complex.propertycomplex')),
            ],
        ),
    ]
